hw_api::dstofsrcanchor
hw_api::ftstat
Hyperwave API Functions
PHP Manual

# hw_api::find

(PHP 4, PHP 5 < 5.2.0, PECL hwapi SVN)

hw_api::find — Search for objects

### Description

array hw_api::find ( array `$parameter` )

This functions searches for objects either by executing a key or/and full text query. The found objects can further be filtered by an optional object query. They are sorted by their importance. The second search operation is relatively slow and its result can be limited to a certain number of hits. This allows to perform an incremental search, each returning just a subset of all found documents, starting at a given index.

### Parameters

`parameter`

  The parameter array contains the 'keyquery' or/and 'fulltextquery' depending on who you would like to search. Optional parameters are 'objectquery', 'scope', 'languages' and 'attributeselector'. In case of an incremental search the optional parameters 'startIndex', 'numberOfObjectsToGet' and 'exactMatchUnit' can be passed.

### Return Values

hw_api::dstofsrcanchor
hw_api::ftstat
Hyperwave API Functions
PHP Manual